## resource-agents-paf 2.2~beta1

=== debian/changelog ===
resource-agents-paf (2.2~beta1-3.pgdg80+1) jessie-pgdg; urgency=medium

  * Rebuild for jessie-pgdg (jenkins-resource-agents-paf-source-
    distribution=jessie-2, b4d77072e545438c864e7a97b1b46571c0fa5c91/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Tue, 04 Jul 2017 21:02:55 +0200

resource-agents-paf (2.2~beta1-3) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 4.0.0 (no change required)
    - Add $misc:Depends binary dependencies
  * d/watch: Add watch file to look for new releases on github.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 26 Jun 2017 16:55:28 +0200

resource-agents-paf (2.2~beta1-2) unstable; urgency=low

  * add dependencies on Pacemaker and Corosync versions

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Mon, 26 Jun 2017 16:50:00 +0100

resource-agents-paf (2.2~beta1-1) unstable; urgency=low

  * 2.2_beta1 beta release
  * see CHANGELOG.md

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Mon, 26 Jun 2017 15:00:00 +0100

resource-agents-paf (2.1.0-1) unstable; urgency=low

  * 2.1.0 major release
  * no changes since 2.1_rc2.

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Fri, 23 Dec 2016 13:20:00 +0100

resource-agents-paf (2.1~rc2-1) unstable; urgency=low

  * 2.1_rc2 beta release
  * see CHANGELOG.md

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Sat, 17 Dec 2016 14:10:00 +0100

resource-agents-paf (2.1~rc1-1) unstable; urgency=low

  * 2.1_rc1 beta release
  * see CHANGELOG.md

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Sun, 11 Dec 2016 23:30:00 +0100

resource-agents-paf (2.1~beta1-1) unstable; urgency=low

  * 2.1_beta1 beta release
  * see CHANGELOG.md

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Sun, 04 Dec 2016 15:00:00 +0100

resource-agents-paf (2.0.0-1) unstable; urgency=low

  * 2.0.0 major release
  * see CHANGELOG.md

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Fri, 16 Sep 2016 16:05:16 +0200

resource-agents-paf (2.0~rc1-1) unstable; urgency=low

  * 2.0_rc1 first release candidate

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Wed, 3 Aug 2016 18:17:35 +0200

resource-agents-paf (2.0~beta2-1) unstable; urgency=low

  * 2.0_beta2 beta release
  * fix: bug in switchover with 9.5 and 9.6

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Fri, 1 Jul 2016 16:35:35 +0200

resource-agents-paf (2.0~beta1-1) unstable; urgency=low

  * 2.0_beta1 beta release
  * fix: do not use crm_node --partition to discover resources
  * fix: unknown argument --query when calling crm_master
  * fix: perl warning when master score has never been set on the master
  * fix: remove wrong info message during post-promote notify
  * fix: race condition when setting attributes during actions
  * fix: bug where pgport and pghost where ignored in _query
  * fix: use same role name than the system_user to connect
  * fix: wrap crm_master calls in sub to make them synchronous
  * fix: fixed a bug related to setgid in _runas
  * fix: check on application_name in validate_all
  * change: do not start standby with a master score of 1
  * change: choose the clone to promote when no master score exist
  * new: detect and deal master/slave recovery transition
  * new: detect and enforce reliability of a switchover
  * new: set next best secondaries base on their lag
  * misc: code cleanup and refactoring
  * misc: various log messages cleanup and enhancement

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Wed, 15 Jun 2016 23:19:58 +0200

resource-agents-paf (1.0.1-1) unstable; urgency=low

  * 1.0.1 minor release
  * fix: forbid the master to decrease its own score (gh #19)
  * fix: bad LSN decimal converstion (gh #20)
  * fix: support PostgreSQL 9.5 controldata output (gh #12)
  * fix: set group id of given system_user before executing commands (gh #11)
  * fix: use long argument of external commands when possible
  * fix: bad header leading to wrong manpage section
  * fix: OCF tests when PostgreSQL does not listen in /tmp
  * change: do not update score outside of a monitor action (gh #18)
  * new: add parameter 'start_opts', usefull for debian and derivated (gh #11)
  * new: add specific timeout for master and slave roles in meta-data (gh #14)
  * new: add debian packaging related files

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Wed, 27 Apr 2016 13:22:50 +0200

resource-agents-paf (1.0.0-1) unstable; urgency=low

  * Initial release

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Fri, 08 Apr 2016 13:52:29 +0200

## resource-agents-paf 2.2.1

=== test/Makefile ===
export VAGRANT_BOX_UPDATE_CHECK_DISABLE=1
export VAGRANT_CHECKPOINT_DISABLE=1

.PHONY: all create_vm pgsql-primary pgsql-replicas pacemaker cts prov clean validate


all: create_vm pgsql-replicas pacemaker

create_vm:
	vagrant up

pgsql-replicas:
	vagrant up --provision-with=pgsql-replicas

pacemaker:
	vagrant up --provision-with=pacemaker

pgsql-primary:
	vagrant up --provision-with=pgsql-primary

prov:
	vagrant up --provision

clean:
	vagrant destroy -f

validate:
	@vagrant validate
	@if which shellcheck >/dev/null                                          ;\
	then shellcheck provision/*                                              ;\
	else echo "WARNING: shellcheck is not in PATH, not checking bash syntax" ;\
	fi

cts: all
	vagrant up --provision-with=cts

## resource-agents-paf 2.2.0

=== debian/changelog ===
resource-agents-paf (2.2.0-2) unstable; urgency=low

  * add CHANGELOG.md to the package

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Tue, 12 Sep 2017 22:40:00 +0200

resource-agents-paf (2.2.0-1) unstable; urgency=low

  * 2.2.0 major release
  * see CHANGELOG.md

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Tue, 12 Sep 2017 10:00:00 +0200

resource-agents-paf (2.2~rc1-1) unstable; urgency=low

  * 2.2_rc1 release candidate
  * no change since beta1

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Tue, 29 Aug 2017 23:15:00 +0200

=== debian/control ===
Source: resource-agents-paf
Section: admin
Priority: optional
Maintainer: Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>
Build-Depends: debhelper (>= 9),
               libmodule-build-perl,
               resource-agents,
Standards-Version: 4.0.0
Homepage: http://dalibo.github.io/PAF/

Package: resource-agents-paf
Architecture: all
Depends: ${misc:Depends}, resource-agents, perl, pacemaker (>= 1.1.13) | pacemaker-remote (>= 1.1.13), corosync (>= 2.0.0)
Description: PostgreSQL resource agent for Pacemaker
 PostgreSQL Automatic Failover (aka. PAF) is a new OCF resource Agent
 dedicated to PostgreSQL. Its original wish is to keep a clear limit between
 the Pacemaker administration and the PostgreSQL one, to keep things simple,
 documented and yet powerful.
 .
 It only supports multi-state (Master-Slave) PostgreSQL clusters.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/PAF-$1\.tar\.gz/,uversionmangle=s/_beta/~beta/;s/_alpha/~alpha/;s/_rc/~rc/ \
  https://github.com/dalibo/PAF/releases .*/v?(\d\S+)\.tar\.gz

## resource-agents-paf 2.2.1

=== debian/changelog ===
resource-agents-paf (2.2.1-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 31 Jan 2019 14:00:00 +0100

resource-agents-paf (2.2.1-1) unstable; urgency=low

  * 2.2.1 minor release

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Thu, 31 Jan 2019 14:00:00 +0100

resource-agents-paf (2.2.1~rc1-1) unstable; urgency=low

  * 2.2.1_rc1 release candidate

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Tue, 22 Jan 2019 22:00:00 +0100

## resource-agents-paf 2.3~rc2

=== debian/changelog ===
resource-agents-paf (2.3~rc2-1) unstable; urgency=low

  * 2.3_rc2 release candidate

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Tue, 11 Feb 2020 22:00:00 +0100

resource-agents-paf (2.3~rc1-1) unstable; urgency=low

  * 2.3_rc1 release candidate

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Tue, 28 Nov 2019 15:00:00 +0100

## resource-agents-paf 2.3.0~20220624.1206-1~1.git7ebb25b.pgdg18.04+1

=== debian/changelog ===
resource-agents-paf (2.3.0~20220624.1206-1~1.git7ebb25b.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 09 Mar 2020 23:30:00 +0100

resource-agents-paf (2.3.0-1) unstable; urgency=low

  * 2.3.0 major release

 -- Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>  Mon, 09 Mar 2020 23:30:00 +0100

## resource-agents-paf 2.3.0~20220624.1206-1~1.git7ebb25b.pgdg20.04+1

=== debian/changelog ===
resource-agents-paf (2.3.0~20220624.1206-1~1.git7ebb25b.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 09 Mar 2020 23:30:00 +0100

## resource-agents-paf 2.3.0~20220624.1206-1~1.git7ebb25b.pgdg21.10+1

=== debian/changelog ===
resource-agents-paf (2.3.0~20220624.1206-1~1.git7ebb25b.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 09 Mar 2020 23:30:00 +0100

## resource-agents-paf 2.3.0~20220624.1206-1~1.git7ebb25b.pgdg22.04+1

=== debian/changelog ===
resource-agents-paf (2.3.0~20220624.1206-1~1.git7ebb25b.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 09 Mar 2020 23:30:00 +0100

## resource-agents-paf 2.3.0~20220624.1206-1~1.git7ebb25b.pgdg100+1

=== debian/changelog ===
resource-agents-paf (2.3.0~20220624.1206-1~1.git7ebb25b.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 09 Mar 2020 23:30:00 +0100

## resource-agents-paf 2.3.0~20220624.1206-1~1.git7ebb25b.pgdg110+1

=== debian/changelog ===
resource-agents-paf (2.3.0~20220624.1206-1~1.git7ebb25b.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 09 Mar 2020 23:30:00 +0100

## resource-agents-paf 2.3.0~20220624.1206-1~1.git7ebb25b.pgdg120+1

=== debian/changelog ===
resource-agents-paf (2.3.0~20220624.1206-1~1.git7ebb25b.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 09 Mar 2020 23:30:00 +0100

## resource-agents-paf 2.3.0~20220624.1206-1~1.git7ebb25b.pgdg+1

=== extra/vagrant/2nodes-qdevice-vip/Makefile ===
export VAGRANT_BOX_UPDATE_CHECK_DISABLE=1
export VAGRANT_CHECKPOINT_DISABLE=1

.PHONY: all up pgsql pacemaker cts clean check validate pcmk-stop

all: up

up:
	vagrant up

pgsql: pcmk-stop
	vagrant provision --provision-with=pgsql

pacemaker:
	vagrant provision --provision-with=pacemaker

clean:
	vagrant destroy -f

check: validate

validate:
	@vagrant validate
	@if which shellcheck >/dev/null                                          ;\
	then shellcheck provision/*bash                                          ;\
	else echo "WARNING: shellcheck is not in PATH, not checking bash syntax" ;\
	fi

cts:
	vagrant provision --provision-with=cts

pcmk-stop:
	vagrant ssh -c 'if [ -f "/etc/corosync/corosync.conf" ]; then sudo pcs cluster stop --all --wait; fi'

=== debian/changelog ===
resource-agents-paf (2.3.0~20220624.1206-1~1.git7ebb25b.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 09 Mar 2020 23:30:00 +0100

## resource-agents-paf 2.3.0

=== extra/vagrant/2nodes-qdevice-vip/Makefile ===
export VAGRANT_BOX_UPDATE_CHECK_DISABLE=1
export VAGRANT_CHECKPOINT_DISABLE=1

.PHONY: all create_vm pgsql-primary pgsql-replicas qdevice pacemaker cts prov clean validate


all: create_vm pgsql-replicas pacemaker

create_vm:
	vagrant up

pgsql-replicas: pcmk-stop pgsql-primary
	vagrant up --provision-with=pgsql-replicas

qdevice:
	vagrant up --provision-with=qdevice

pacemaker: qdevice
	vagrant up --provision-with=pacemaker

pgsql-primary: pcmk-stop
	vagrant up --provision-with=pgsql-primary

prov:
	vagrant up --provision

clean:
	vagrant destroy -f

check: validate

validate:
	@vagrant validate
	@if which shellcheck >/dev/null                                          ;\
	then shellcheck provision/*bash                                          ;\
	else echo "WARNING: shellcheck is not in PATH, not checking bash syntax" ;\
	fi

cts:
	vagrant up --provision-with=cts

pcmk-stop:
	vagrant ssh -c 'if [ -f "/etc/corosync/corosync.conf" ]; then sudo pcs cluster stop --all --wait; fi'

=== extra/vagrant/3nodes-haproxy/Makefile ===
export VAGRANT_BOX_UPDATE_CHECK_DISABLE=1
export VAGRANT_CHECKPOINT_DISABLE=1

.PHONY: all create_vm postgresql pgsql_replicas pacemaker prov clean check validate cts pcmk-stop


all: create_vm postgresql pgsql_replicas pacemaker cluster

create_vm:
	vagrant up

postgresql: pcmk-stop
	vagrant up --provision-with=postgresql

pgsql_replicas: pcmk-stop
	vagrant up --provision-with=pgsql-replicas

pacemaker:
	vagrant up --provision-with=pacemaker

cluster:
	vagrant up --provision-with=cluster-setup

prov:
	vagrant up --provision

clean:
	vagrant destroy -f

check: validate

validate:
	@vagrant validate
	@if which shellcheck >/dev/null                                          ;\
	then shellcheck provision/*bash                                          ;\
	else echo "WARNING: shellcheck is not in PATH, not checking bash syntax" ;\
	fi

cts:
	vagrant up --provision-with=cts

pcmk-stop:
	vagrant ssh -c 'if [ -f "/etc/corosync/corosync.conf" ]; then sudo pcs cluster stop --all --wait; fi'

=== extra/vagrant/3nodes-vip/Makefile ===
export VAGRANT_BOX_UPDATE_CHECK_DISABLE=1
export VAGRANT_CHECKPOINT_DISABLE=1

.PHONY: all create_vm pgsql-primary pgsql-replicas pacemaker cts prov clean validate


all: create_vm pgsql-replicas pacemaker

create_vm:
	vagrant up

pgsql-replicas: pcmk-stop pgsql-primary
	vagrant up --provision-with=pgsql-replicas

pacemaker:
	vagrant up --provision-with=pacemaker

pgsql-primary: pcmk-stop
	vagrant up --provision-with=pgsql-primary

prov:
	vagrant up --provision

clean:
	vagrant destroy -f

check: validate

validate:
	@vagrant validate
	@if which shellcheck >/dev/null                                          ;\
	then shellcheck provision/*bash                                          ;\
	else echo "WARNING: shellcheck is not in PATH, not checking bash syntax" ;\
	fi

cts:
	vagrant up --provision-with=cts

pcmk-stop:
	vagrant ssh -c 'if [ -f "/etc/corosync/corosync.conf" ]; then sudo pcs cluster stop --all --wait; fi'

=== debian/changelog ===
resource-agents-paf (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Create packaging git at https://salsa.debian.org/ha-team/resource-agents-paf.
  * Set HA team as maintainer.
  * Depend on resource-agents | resource-agents-base to match Ubuntu's
    uncoordinated resource-agents package split.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Mar 2024 11:39:24 +0100

=== debian/control ===
Source: resource-agents-paf
Section: admin
Priority: optional
Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
Uploaders:
 Jehan-Guillaume (ioguix) de Rorthais <jgdr@dalibo.com>,
Build-Depends:
 debhelper-compat (= 13),
 libmodule-build-perl,
 resource-agents | resource-agents-base,
Standards-Version: 4.6.2
Homepage: http://clusterlabs.github.io/PAF/
Vcs-Browser: https://salsa.debian.org/ha-team/resource-agents-paf
Vcs-Git: https://salsa.debian.org/ha-team/resource-agents-paf.git

Package: resource-agents-paf
Architecture: all
Depends:
 corosync (>= 2.0.0),
 pacemaker (>= 1.1.13) | pacemaker-remote (>= 1.1.13),
 perl,
 resource-agents | resource-agents-base,
 ${misc:Depends},
Description: PostgreSQL resource agent for Pacemaker
 PostgreSQL Automatic Failover (aka. PAF) is a new OCF resource Agent
 dedicated to PostgreSQL. Its original wish is to keep a clear limit between
 the Pacemaker administration and the PostgreSQL one, to keep things simple,
 documented and yet powerful.
 .
 It only supports multi-state (Master-Slave) PostgreSQL clusters.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/PAF-$1\.tar\.gz/,uversionmangle=s/_beta/~beta/;s/_alpha/~alpha/;s/_rc/~rc/ \
  https://github.com/ClusterLabs/PAF/tags .*/v?(\d\S+)\.tar\.gz
